#ifndef _ATA_H_
#define _ATA_H_

#include "flashdisk.h"

#define SECTOR_SIZE 512

#define IF_MV_NONVOID(a) void
#define IF_MV(a)
#define IF_MV2(a, b) b
#define NUM_VOLUMES 1

void ata_init(struct flash_disk *flash_disk_);
int ata_read_sectors(unsigned long start, int count, void *buf);
int ata_write_sectors(unsigned long start, int count, void *buf);

#endif
